[Dell Latitude E5550] Microphone mute key does not work on this system

Bug #1381856 reported by Po-Hsu Lin on 2014-10-16
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
HWE Next
Medium
Hui Wang
linux (Ubuntu)
Medium
Hui Wang
Utopic
Medium
Unassigned
notify-osd-icons (Ubuntu)
Low
Unassigned
Trusty
Low
Unassigned
Utopic
Low
Unassigned
unity-settings-daemon (Ubuntu)
Medium
Hui Wang
Trusty
High
Unassigned
Utopic
High
Unassigned

Bug Description

* Impact
the wrong icon is displayed when using the mic mute key

* Test Case
have a keyboard with a micmute key and press it, looks at what icon is used in the unity7 notification

* Regression potential
the change is limited to this action

--------------

CID: 201406-15271 Dell Latitude E5550

The microphone mute key does not work at all.

Key event cannot be captured by "xev" or "sudo showkey -s"
But keycode 248 would be returned when testing with sudo showkey -k

Alsa info:
http://www.alsa-project.org/db/?f=006099fcf08709c82a74dba986a907a602a868ab

Also note that with file at /etc/udev/hwdb.d/60-dell-mic-mute-hotkey.hwdb generated with the following content:
# Dell platform kernel driver
keyboard:name:Dell WMI hotkeys:dmi:bvn*:bvr*:bd*:svnDell*:pn*
 KEYBOARD_KEY_150=f20 # Mic mute toggle

And with udev database updated: sudo udevadm hwdb -u

The microphone mute key works, but the mic mute led does not work.
(Also the icon is not correct, which show a speaker instead of a mic)

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: linux-image-3.13.0-37-generic 3.13.0-37.64
ProcVersionSignature: Ubuntu 3.13.0-37.64-generic 3.13.11.7
Uname: Linux 3.13.0-37-generic x86_64
ApportVersion: 2.14.1-0ubuntu3.5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ubuntu 1530 F.... pulseaudio
 /dev/snd/controlC1: ubuntu 1530 F.... pulseaudio
CRDA:
 country TW:
  (2402 - 2472 @ 40), (3, 27)
  (5270 - 5330 @ 40), (3, 17), DFS
  (5735 - 5815 @ 40), (3, 30)
CurrentDesktop: Unity
Date: Wed Oct 15 23:17:51 2014
HibernationDevice: RESUME=UUID=02cbc1f1-a261-484c-8fc2-05b68f73446d
InstallationDate: Installed on 2014-10-09 (6 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Dell Inc. Latitude E5550
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.13.0-37-generic root=UUID=d3b20ae5-9ff8-49b3-b640-1c6a9f264710 ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.13.0-37-generic N/A
 linux-backports-modules-3.13.0-37-generic N/A
 linux-firmware 1.127.7
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 07/25/2014
dmi.bios.vendor: Dell Inc.
dmi.bios.version: T43
dmi.board.name: 0141B2
dmi.board.vendor: Dell Inc.
dmi.board.version: X02
dmi.chassis.type: 9
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvrT43:bd07/25/2014:svnDellInc.:pnLatitudeE5550:pvr01:rvnDellInc.:rn0141B2:rvrX02:cvnDellInc.:ct9:cvr:
dmi.product.name: Latitude E5550
dmi.product.version: 01
dmi.sys.vendor: Dell Inc.

Related branches

CVE References

Po-Hsu Lin (cypressyew) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
Changed in hwe-next:
status: New → Triaged
Anthony Wong (anthonywong) wrote :

OEM project bug: LP #1284036.

Changed in linux (Ubuntu):
assignee: Anthony Wong (anthonywong) → David Henningsson (diwic)
David Henningsson (diwic) wrote :

I'm not familiar with the hotkeys, just a bit with the LEDs that could be physically located on them. Could you reassign to a hotkey expert perhaps?

Changed in linux (Ubuntu):
assignee: David Henningsson (diwic) → Anthony Wong (anthonywong)
Changed in linux (Ubuntu):
assignee: Anthony Wong (anthonywong) → Hui Wang (hui.wang)
Hui Wang (hui.wang) wrote :

Please install this dkms and test again.

Hui Wang (hui.wang) wrote :

After add the " /etc/udev/hwdb.d/60-dell-mic-mute-hotkey.hwdb" and update the database, the mic mute hotkey can work.

The above dkms (in the comment #5) is for fixing the mic mute led problem. Please test it.

Hui Wang (hui.wang) wrote :

And about this problem "(Also the icon is not correct, which show a speaker instead of a mic)", it seems this is a unity-settings-daemon's bug. After apply the patch below, the problem disappeared.

Index: unity-settings-daemon-14.04.0+14.04.20140606/plugins/media-keys/gsd-media-keys-manager.c
===================================================================
--- unity-settings-daemon-14.04.0+14.04.20140606.orig/plugins/media-keys/gsd-media-keys-manager.c 2014-06-06 22:38:57.000000000 +0800
+++ unity-settings-daemon-14.04.0+14.04.20140606/plugins/media-keys/gsd-media-keys-manager.c 2014-11-04 17:49:37.189722571 +0800
@@ -257,6 +257,14 @@
         NULL
 };

+static const char *mic_volume_icons[] = {
+ "microphone-sensitivity-muted-symbolic",
+ "microphone-sensitivity-low-symbolic",
+ "microphone-sensitivity-medium-symbolic",
+ "microphone-sensitivity-high-symbolic",
+ NULL
+};
+
 static const char *brightness_icons[] = {
         "notification-display-brightness-off",
  "notification-display-brightness-low",
@@ -343,10 +351,13 @@
 static gboolean
 ubuntu_osd_notification_show_volume (GsdMediaKeysManager *manager,
                                      gint value,
- gboolean muted)
+ gboolean muted,
+ gboolean is_mic)
 {
+ const char **icons_name = is_mic ? mic_volume_icons : volume_icons;
+
         return ubuntu_osd_do_notification (&manager->priv->volume_notification,
- "volume", value, muted, volume_icons);
+ "volume", value, muted, icons_name);
 }

 static gboolean
@@ -1337,7 +1348,7 @@
         const GvcMixerStreamPort *port;
         const char *icon;

- if (ubuntu_osd_notification_show_volume (manager, vol, muted))
+ if (ubuntu_osd_notification_show_volume (manager, vol, muted, !GVC_IS_MIXER_SINK (stream)))
                 goto done;

         vol = CLAMP (vol, 0, 100);

Po-Hsu Lin (cypressyew) wrote :

Hello Hui,
the DKMS file you provided here could not make the LED work.

Steps:
1. Create an entry at /etc/udev/hwdb.d/60-dell-mic-mute-hotkey.hwdb with the following content:
# Dell platform kernel driver
keyboard:name:Dell WMI hotkeys:dmi:bvn*:bvr*:bd*:svnDell*:pn*
 KEYBOARD_KEY_150=f20 # Mic mute toggle

2. Update it with
sudo udevadm hwdb -u

3. Install the DKMS file provided in comment #5

4. reboot and test the mic mute key.

Hui Wang (hui.wang) wrote :

Please test this dkms, let us see if the led problem can be fixed by this dkms.

in this dkms, I use SND_PCI_QUIRK(0x1028, 0x062c, "Dell", ALC293_FIXUP_DELL_WMI_MIC_MUTE_LED) to fix the mic led problem.

Po-Hsu Lin (cypressyew) wrote :

Hello Hui,
The new DKMS file you provided in comment #9 could make the mic LED work.
Thanks!

Hui Wang (hui.wang) wrote :

commit 6676f3081f7e3dae64e05b87d47a041b782f898a
Author: Hui Wang <email address hidden>
Date: Tue Nov 18 17:57:41 2014 +0800

    ALSA: hda - fix the mic mute led problem for Latitude E5550

    The microphone mute led on the Latitude E5550 can't work. We need to
    apply DELL_WMI_MIC_MUTE_LED quirk to this machine.

    The machine uses alc293 codec and already applied the quirk
    ALC293_FIXUP_DELL1_MIC_NO_PRESENCE through pin_fixup_tbl[].

    Here we just let DELL_WMI_MIC_MUTE_LED be chained to
    ALC269_FIXUP_HEADSET_MODE, then the machine will have these
    quirks ALC293_FIXUP_DELL1_MIC_NO_PRESENCE-->
    ALC269_FIXUP_HEADSET_MODE-->ALC255_FIXUP_DELL_WMI_MIC_MUTE_LED.

    BugLink: https://bugs.launchpad.net/bugs/1381856
    Reported-and-tested-by: Po-Hsu Lin <email address hidden>
    Signed-off-by: Hui Wang <email address hidden>
    Signed-off-by: Takashi Iwai <email address hidden>

commit 4a83d42ae2041d5b76f1a0662bc3a5a85e4eb0d1
Author: Hui Wang <email address hidden>
Date: Tue Nov 18 17:57:40 2014 +0800

    ALSA: hda - move DELL_WMI_MIC_MUTE_LED to the tail in the quirk chain

    We have one more Dell machine needs DELL_WMI_MIC_MUTE_LED quirk, but
    the machine uses alc293 instead of alc255. So if
    DELL_WMI_MIC_MUTE_LED still chain ALC255_FIXUP_DELL1_MIC_NO_PRESENCE,
    the machine can't use this quirk.

    To change this situation, let the DELL_WMI_MIC_MUTE_LED to be a
    standalone quirk, and let other quirks chain it.

    After this change, this quirk can be chained to any existing quirks,
    and as a result, it is possible that this quirk is applied to
    a non-Dell machine or a Dell machine without mic mute led on it, but
    it is still safe since alc_fixup_dell_wmi() will return an error in
    these situations.

    And remove the quirk for machine with subsystem id 0x6010 and 0x601f,
    these two machines will fall back to the quirk
    ALC255_FIXUP_DELL1_MIC_NO_PRESENCE-->ALC255_FIXUP_HEADSET_MODE-->
    ALC255_FIXUP_DELL_WMI_MIC_MUTE_LED through pin_fixup_tbl[].

    BugLink: https://bugs.launchpad.net/bugs/1381856
    Reported-and-tested-by: Po-Hsu Lin <email address hidden>
    Signed-off-by: Hui Wang <email address hidden>
    Signed-off-by: Takashi Iwai <email address hidden>

Hui Wang (hui.wang) wrote :

Hi Po-Hsu,

And about the icon problem, when you press mic mute hotkey, the osd shows the speaker icon instead of microphone icon, i think this is a bug for unity-settings-daemon, and the patch in the comment #7 can fix it.

Please open a unity-settings-daemon bug to track this problem and involve the desktop development team in.

Changed in linux (Ubuntu):
status: Confirmed → Fix Released
Changed in hwe-next:
status: Triaged → Fix Released
assignee: nobody → Hui Wang (hui.wang)
importance: Undecided → Medium
Daniel Manrique (roadmr) on 2014-12-02
Changed in unity-settings-daemon (Ubuntu):
importance: Undecided → Medium
Changed in unity-settings-daemon (Ubuntu):
status: New → In Progress
assignee: nobody → Hui Wang (hui.wang)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 15.04.1+15.04.20150107-0ubuntu1

---------------
unity-settings-daemon (15.04.1+15.04.20150107-0ubuntu1) vivid; urgency=low

  [ Hui Wang ]
  * show correct microphone mute icon (LP: #1381856, #1389099)
 -- Ubuntu daily release <email address hidden> Wed, 07 Jan 2015 16:55:42 +0000

Changed in unity-settings-daemon (Ubuntu):
status: In Progress → Fix Released
Andy Whitcroft (apw) on 2015-02-10
Changed in linux (Ubuntu Utopic):
status: New → Fix Committed
Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed-utopic' to 'verification-done-utopic'.

If verification is not done by 5 working days from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-utopic
Hui Wang (hui.wang) on 2015-02-15
tags: added: verification-done-utopic
removed: verification-needed-utopic
Launchpad Janitor (janitor) wrote :
Download full text (28.3 KiB)

This bug was fixed in the package linux - 3.16.0-31.41

---------------
linux (3.16.0-31.41) utopic; urgency=low

  [ Seth Forshee ]

  * Release Tracking Bug
    - LP: #1419961

  [ Andy Whitcroft ]

  * [Debian] arm64 -- build ubuntu drivers
    - LP: #1411284
  * hyper-v -- fix comment handing in /etc/network/interfaces
    - LP: #1413020

  [ Ben Hutchings ]

  * SAUCE: rtsx_usb_ms: Use msleep_interruptible() in polling loop
    - LP: #1413149

  [ Brad Figg ]

  * SAUCE: Config IWLWIFI_UAPSD=N

  [ Kamal Mostafa ]

  * [Packaging] force "dpkg-source -I -i" behavior

  [ Kukjin Kim ]

  * SAUCE: (no-up) ARM: SAMSUNG: fix the CPU_ID for EXYNOS5440
    - LP: #1411062

  [ Leann Ogasawara ]

  * ubuntu: AUFS -- Resolve build failure union has no member named
    'd_child'

  [ Ming Lei ]

  * SAUCE: (no-up) ARM: EXYNOS: fix booting oops on exynos5440
    - LP: #1411062
  * SAUCE: (no-up) ARM: exynos5440-sd5v1: switch to fixed-link DT binding
    - LP: #1417339
  * SAUCE: (no-up) net: stmmac: add fixed_phy support via fixed-link DT
    binding
    - LP: #1417339

  [ Upstream Kernel Changes ]

  * Revert "[SCSI] mpt2sas: Remove phys on topology change."
    - LP: #1419125
  * Revert "[SCSI] mpt3sas: Remove phys on topology change"
    - LP: #1419125
  * Revert "ARM: 7830/1: delay: don't bother reporting bogomips in
    /proc/cpuinfo"
    - LP: #1419125
  * powerpc/powernv: Don't call generic code on offline cpus
    - LP: #1400411
  * powerpc/powernv: Return to cpu offline loop when finished in KVM guest
    - LP: #1400411
  * powerpc/powernv: Switch off MMU before entering nap/sleep/rvwinkle mode
    - LP: #1400411
  * powerpc/powernv: Enable Offline CPUs to enter deep idle states
    - LP: #1400411
  * powernv/cpuidle: Redesign idle states management
    - LP: #1400411
  * powernv/powerpc: Add winkle support for offline cpus
    - LP: #1400411
  * powerpc/kdump: Ignore failure in enabling big endian exception during
    crash
    - LP: #1410817
  * powerpc/perf/hv-24x7: Use kmem_cache_free
    - LP: #1410519
  * powerpc/perf/hv-24x7: use kmem_cache instead of aligned stack
    allocations
    - LP: #1410519
  * powerpc/perf/hv-24x7: Use per-cpu page buffer
    - LP: #1410519
  * power/perf/hv-24x7: Use kmem_cache_free() instead of kfree
    - LP: #1410519
  * KVM: x86: SYSENTER emulation is broken
    - LP: #1414651
    - CVE-2015-0239
  * powerpc/xmon: Fix another endiannes issue in RTAS call from xmon
    - LP: #1415919
  * HID: i2c-hid: call the hid driver's suspend and resume callbacks
    - LP: #1417363
  * HID: i2c-hid: Do not free buffers in i2c_hid_stop()
    - LP: #1417363
  * ALSA: hda - add mic mute led hook for dell machines
    - LP: #1418832
  * ALSA: hda - move DELL_WMI_MIC_MUTE_LED to the tail in the quirk chain
    - LP: #1381856, #1418832
  * ALSA: hda - fix the mic mute led problem for Latitude E5550
    - LP: #1381856, #1418832
  * drm/i915: don't warn if backlight unexpectedly enabled
    - LP: #1419125
  * drm/i915/dp: only use training pattern 3 on platforms that support it
    - LP: #1419125
  * udptunnel: Add SKB_GSO_UDP_TUNNEL during gro_complete.
    - LP: #1419125
  * s390/3215: fix hanging console issue
    - LP...

Changed in linux (Ubuntu Utopic):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Keng-Yu Lin (lexical) wrote :

@Hui, can you also SRU the U-S-D patch?

Hui Wang (hui.wang) wrote :

Still waiting it, please refer to the email below:

Hello Seb,

The option 2 is fine, it is best that two fixes to be SRUed together.

Thanks,
Hui.

On 03/25/2015 04:07 PM, Sebastien Bacher wrote:
> Hey Hui,
>
> We could probably SRU it now, there are some issues though like [1] the
> fact that indicator menus are misplaced on the greeter when hidpi
> scaling on. We could have a first SRU to try to activate it only for the
> installer/oem config (we just need to find e.g an env variable specific
> to those sessions) or wait to have a fix for the unity-greeter issue and
> SRU that as well.
> Do you have a preference for one of those options?
>
> Cheers,
> Sebastien Bacher
>
> [1] https://bugs.launchpad.net/ubuntu/+source/unity-greeter/+bug/1434094
>
> Le 25/03/2015 07:37, Hui Wang a écrit :
>> Hello Sebastien,
>>
>> Our OEM project has been waiting this fix to be merged to Trusty
>> (14.04) , is it possible we do that now? If you need me to do
>> something, just let me know.
>>
>>
>> Thanks,
>> Hui.
>
>

Changed in unity-settings-daemon (Ubuntu Utopic):
importance: Undecided → High
status: New → In Progress
Sebastien Bacher (seb128) wrote :

@Hui, sorry for the delay, I'm doing a SRU of that change to trusty

description: updated
Hui Wang (hui.wang) wrote :

@Sebastien, Thank you very much, I have an OEM bug (#1414553) still waiting this change.

Changed in notify-osd (Ubuntu):
status: New → Fix Committed
affects: notify-osd (Ubuntu) → notify-osd-icons (Ubuntu)
Changed in notify-osd-icons (Ubuntu):
importance: Undecided → Low
Changed in notify-osd-icons (Ubuntu Utopic):
importance: Undecided → Low
status: New → In Progress

Hello Po-Hsu, or anyone else affected,

Accepted notify-osd-icons into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/notify-osd-icons/0.8+14.04.20151016-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in notify-osd-icons (Ubuntu Utopic):
status: In Progress → Won't Fix
Changed in notify-osd-icons (Ubuntu Trusty):
status: New → Fix Committed
tags: added: verification-needed
Hui Wang (hui.wang) wrote :

Verification failed. It seems we need to fix this problem not only in notify-osd-icons but also in unity-settings-daemon.

The steps I performed verification as below:

I Installed 14.04.3 LTS to a lenovo laptop
enabled -trusty-proposed source from Software&Updates
run Software Updater to update all packges
run dpkg --list to check notify-osd-icons, this package is not updated
download the this package from https://launchpad.net/ubuntu/trusty/amd64/notify-osd-icons/0.8+14.04.20151016-0ubuntu1
manually install it
run dpkg --list to verify this package is installed
reboot
test microphone mute, the osd icon is still speaker rather than microphone.

So it looks like we need to upgrade the unity-setting-daemons for trusty as well.

tags: added: verification-failed
removed: verification-needed
Changed in notify-osd-icons (Ubuntu Trusty):
importance: Undecided → Low
Changed in linux (Ubuntu Trusty):
importance: Undecided → Medium
Changed in linux (Ubuntu Utopic):
importance: Undecided → Medium
Changed in unity-settings-daemon (Ubuntu Trusty):
importance: Undecided → High
Changed in unity-settings-daemon (Ubuntu Utopic):
status: In Progress → Won't Fix
Chris J Arges (arges) wrote :

Hello Po-Hsu, or anyone else affected,

Accepted unity-settings-daemon into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/unity-settings-daemon/14.04.0+14.04.20151012-0ubuntu1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in unity-settings-daemon (Ubuntu Trusty):
status: New → Fix Committed
tags: removed: verification-failed
tags: added: verification-needed
Hui Wang (hui.wang) wrote :

After install the unity-settings-daemon_14.04.0+14.04.20151012-0ubuntu1_amd64.deb on a lenovo machine, reboot, then test the microphone mute hotkey, the OSD icon is correct (now it is microphone icon, then it is speaker icon) now.

So the unity-settings-daemon_14.04.0+14.04.20151012-0ubuntu1_amd64.deb fixed the problem on trusty.

tags: added: verification-done-trusty
removed: verification-needed
Hui Wang (hui.wang) wrote :

change the verification-needed to verification-done-trusty

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package notify-osd-icons - 0.8+14.04.20151016-0ubuntu1

---------------
notify-osd-icons (0.8+14.04.20151016-0ubuntu1) trusty; urgency=medium

  * Include microphone mute icons, thanks Matthieu James (lp: #1381856)

 -- Sebastien Bacher <email address hidden> Fri, 16 Oct 2015 18:07:31 +0100

Changed in notify-osd-icons (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for notify-osd-icons has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-settings-daemon - 14.04.0+14.04.20151012-0ubuntu1

---------------
unity-settings-daemon (14.04.0+14.04.20151012-0ubuntu1) trusty; urgency=medium

  * show correct microphone mute icon (LP: #1381856)

 -- Sebastien Bacher <email address hidden> Mon, 12 Oct 2015 16:11:19 +0000

Changed in unity-settings-daemon (Ubuntu Trusty):
status: Fix Committed → Fix Released
Mathew Hodson (mathew-hodson) wrote :

Is there still something to be done for the linux task for Trusty?

Hui Wang (hui.wang) wrote :

@Mathew,

There is no work need to be done for the linux of Trusty, Please feel free to close it.

Mathew Hodson (mathew-hodson) wrote :

This was fixed in Wily.

---------------
notify-osd-icons (0.8+15.10.20151016.2-0ubuntu1) wily; urgency=medium

  [ Sebastien Bacher ]
  * Include microphone mute icons, thanks Matthieu James

  [ CI Train Bot ]
  * New rebuild forced.

 -- Sebastien Bacher <email address hidden> Fri, 16 Oct 2015 10:51:25 +0000

no longer affects: linux (Ubuntu Trusty)
Changed in notify-osd-icons (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers